#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main(int argc, char** argv) 
{
	int odg = 0;
	long long x1, x2, y1, y2;
	scanf("%lld %lld %lld %lld", &x1, &y1, &x2, &y2);
	if(x1 == x2 || y1 == y2) odg = 2;
	else if(x2 - x1 == y2 - y1 || x2 - x1 == y1 - y2) odg = 1;
	printf("%d",odg);
	return 0;
}